Bug 65675 (mab4.2) - LibreOffice 4.2 most annoying bugs
Summary: LibreOffice 4.2 most annoying bugs
Status: CLOSED FIXED
Alias: mab4.2
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 37960 38635 40907 42709 44617 45286 46635 48350 50855 51550 52226 52433 53228 56847 58691 59288 59613 60712 60870 62038 62051 62176 62719 63024 63483 64161 64722 65074 65924 66506 66700 67047 67128 67388 67576 67801 68600 68806 68961 68981 68983 69244 69406 69467 69517 70160 70229 70449 70664 70885 70989 71321 71527 71584 71625 71694 71714 71884 71919 71946 72005 72022 72037 72125 72267 72279 72287 72288 72391 72452 72470 72530 72614 72628 72632 72639 72647 72650 72778 72788 72949 72953 72961 72998 72999 73001 73095 73113 73162 73235 73243 73355 73436 73464 73542 73544 73565 73606 73614 73618 73655 73766 73814 73860 73904 73998 74009 74014 74041 74077 74087 74104 74148 74314 74325 74333 74474 74479 74553 74556 74573 74616 74790 74824 74994 75032 75053 75228 75328 75376 75380 75510 75519 75694 75718 75741 75815 75950 75951 76470 76565 76607 76611 76663 76697 76710 76912 76949 77027 77057 77174 77308 77806 77899 78108 78477 78554 78635 78784 78801 78883 78904 79221 79269 79305 79441 80009 80363 80384 80462 80501 80650 80813 80846 80849 81008 81214 81294 81336 81384 81416 81592 82042 83217 85584 85614
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 12:54 UTC by Petr Mladek
Modified: 2015-10-18 02:45 UTC (History)
29 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2013-06-12 12:54:49 UTC
This is a meta issue to track the most annoying bugs in LibreOffice 4.2.x releases. It helps developers to focus on bugs that are most critical for users. Also it helps users to be aware of potential problems.

If anyone wants to raise a bug as “most annoying” for the release, please add the ID of that bug to the field “Depends on”, leave a short description of the bug, and explain in few words why that bug should get privileged, for example:

        Add bug #XXXXX: Writer ignores page size setting. The default size is Letter. The document
        format is often broken when printing on A4 paper in Europe.

For details, criteria and further instructions, please see
  http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 1 Justin 2013-06-15 12:57:28 UTC
In nominate 60245 , add better autocomplete (ie intellisense) for Calc functions.
Comment 2 Michael Meeks 2013-06-17 13:45:58 UTC
Justin - most annoying bugs are something like blocker bugs; and enhancements like bug#60245 are not really appropriate unless this is cripplingly debilitating. Also - such bugs belong on the MAB list of the oldest version that they affect; thanks for filing though !
Comment 3 Jan Holesovsky 2013-06-19 19:09:17 UTC
Nominating 65924, makes the Writer really ugly.  Cannot fix myself in the following few days, so better to track it properly :-)
Comment 4 Lionel Elie Mamane 2013-07-09 02:33:19 UTC
Adding bug 66703 (Base): report design wizard silently does not start on MacOS X.
Comment 5 Petr Mladek 2013-07-09 07:43:49 UTC
Really add the bug #66703.
Comment 6 Stefan Knorr (astron) 2013-07-18 14:33:00 UTC
Adding bug 67047 – badly looking About window, since this might mean the SVG reader has regressed.
Comment 7 Petr Mladek 2013-07-31 13:14:27 UTC
Add bug 67128: Auto Filter Sort Results in Crash
Add bug 66700: Crash when deleting field added in Report Design mode
Comment 8 tommy27 2013-08-04 14:44:29 UTC
Added Bug 67743 - can't save new autocorrect entries

a basic Writer functionality is broken
Comment 9 ape 2013-08-26 04:04:07 UTC
Nominate bug 68512 "Open button and File Open stopped working" and bug 68552 "[FILEOPEN] XML filter: Excel-2007 XML file don't open", because these are a regression into the Master release:

a) bug 68512 – between 21st (ID:e8c0708ee9d0c01cbe0bdcb38ac14e34bdceef32, TinderBox: Win-x86@6-debug, Branch: master, Time: 2013-08-21_20:26:24) and 23rd (ID:45ef1eda9e8851d454237d91b7fc46299fd621eb, TinderBox: Win-x86@6-debug, Branch: master, Time: 2013-08-23_07:32:04) August;

b) bug 68552 – between 13rd (ID:73c02c20b19702dbe662fe0d80601049f015d8ac, TinderBox: Win-x86@6-debug, Branch: master, Time: 2013-08-13_21:26:14) and 21st (ID:e8c0708ee9d0c01cbe0bdcb38ac14e34bdceef32, TinderBox: Win-x86@6-debug, Branch: master, Time: 2013-08-21_20:26:24) August.
Comment 10 ape 2013-09-22 01:27:26 UTC
@kendy:
 Adding error 69517 "LibreOfficeDev-4.2.0.0 (Win-x86@39) cannot start under Windows XP" because it is not possible testing program on Windows XP 32\64-bit, which are supported (look at readme.txt file).
--
ape
Comment 11 ape 2013-09-22 01:28:36 UTC
(In reply to comment #10)
> @kendy:
>  Adding error 69517
--
Sorry, bug 69517
Comment 12 ape 2013-09-22 02:45:12 UTC
@kendy:

Sorry, that's my confusion.
 I found the Assembly log file, which specifies to use MSVCR-2012u1. The LibreOfficeDev-4.2.0.0_ Win-x86@39 runs on Windows XP 32\64-bit after installing MSVCR-2012 update3.
 So is FIXED.
--
ape
Comment 13 Alex Thurgood 2013-10-21 06:33:38 UTC
Adding 70664 - can not display images inserted into Firebird embedded db
Comment 14 Jean-Baptiste Faure 2013-10-24 04:12:55 UTC
I nominate bug 70596 because we can't ask users to have users / testers to live with broken packages on their install.
Comment 15 Jorendc 2013-11-06 21:36:41 UTC
Hereby I nominate Bug 71321 - Can't scroll down in Calc and Writer on Mac osx

A blocker for Mac OSX users.
Comment 16 Cor Nouws 2013-11-09 22:17:02 UTC
adding Bug 70449 - StartCenter: it is not possible to easily navigate through recent used files with the keyboard
Comment 17 ape 2013-11-12 20:17:06 UTC
Bug 62461 added because the API does not use a PNG image that is embedded in the ODF file in addition to SVG drawing.
Comment 18 Joel Madero 2013-11-15 02:58:30 UTC
added 70989 only because it's a new feature - not terribly annoying but the new statistics function doesn't correctly show the cell range selected in "output" range, instead it only shows the first cell of the selection. For a new feature we probably should have it working right out the gate :-D
Comment 19 tommy27 2013-11-16 13:58:37 UTC
I add bug 71584 - FILEOPEN: FORMATTING: formatting error in a file with two tables

Interestingly this old 4.0.x bug seems fixed in 4.1.3.2 but still affects the 4.2.x branch (including 4.2.0.0.alpha1+ Time: 2013-11-15_23:44:51)
Comment 20 Arnaud Versini 2013-11-19 20:26:40 UTC
Adding fdo#71694 can't create Index and tables in pre 4.1.4.
Comment 21 Thomas van der Meulen 2013-11-26 14:20:59 UTC
added bug 72037 - LO 4.2: Wizards "Document Converter" and "Euro Converter" not working.
Comment 22 Regina Henschel 2013-11-27 14:05:08 UTC
Added bug 67576 "impossible to set printing page size manually". The actual paper size, which is set in the printer properties, is ignored. It is broken since version 4.1.2. The problem has produced several bug reports. Besides the here added 67576 it seems, that the following bugs are duplicate or at least related: bug 67727 "PRINTING: Paper Size and Orientation Fail in Brochure and Multi-Up Printing"
bug 67903 "Print dialog preview in Draw does not update with paper size change"
bug 72070 "Other: Page size when printing"
bug 71803 "PRINTING: Printing envelopes does not respect user inputted sizes"
bug 70676 "PRINTING: Difficulties with combining smaller pages on a bigger one"
Comment 23 Jean-Baptiste Faure 2013-12-01 15:21:17 UTC
Nominating bug 72005 : Background color for legend area hides the legend 
This regression may suggest that some data are lost, so a bad user experience.
Comment 24 Samuel Mehrbrodt (CIB) 2013-12-02 11:23:46 UTC
Adding Bug 42709: Animated GIFs are not displayed correctly in Impress, while they are displayed correctly in Writer.
This is a regression.
Comment 25 Jean-Baptiste Faure 2013-12-02 13:47:33 UTC
Nominating bug 72022 : this regression make impossible to access the integrated / local help.
Comment 26 deepjungle.maca 2013-12-03 19:52:30 UTC
Regression bug 71714 EDITING: Small capitals are showed like capitals in editor from 4.1...
Comment 27 Cor Nouws 2013-12-03 20:09:43 UTC
adding bug 72279
"When you update the Index the words A) 1) and I) dissapear in LoDEV, in 4.1 works perfectly"
Comment 28 Cor Nouws 2013-12-03 21:46:28 UTC
adding bug 72287
[TEMPLATE MANGER] / [UI] selecting available templates not possible below the second row in the list
Comment 29 Eike Rathke 2013-12-03 22:44:45 UTC
Adding regression bug 72288, matrix case insensitive string comparisons don't work anymore.
Comment 30 ralf.krapf 2013-12-05 09:31:51 UTC
Add bug #72072: Text disappear when editing a 90deg Textbox.
This feature worked without problems in LO 4.0.x. So it may prevent users to update to the most actual version.
Comment 31 Petr Mladek 2013-12-10 09:47:06 UTC
Add bug #67388: There is a broken Debian menu integration because of wrong file permissions
Comment 32 tommy27 2013-12-10 12:55:43 UTC
I add Bug 72530 - Certain graphics lost in PDF export if lossless compression used. Regression from the 4.1.x branch, affects Windows and Linux.
Comment 33 Samuel Mehrbrodt (CIB) 2013-12-10 16:34:30 UTC
Adding Bug 60870: The custom dictionary is not initialized at startup
Comment 34 manj_k 2013-12-11 11:01:44 UTC
Nominating Bug 72452 - Other: Page Number begins at 0.

Just compare the different page numbering in the recently published "LibreOffice 4.1 Draw Guide", DG41-DrawGuideLO.odt[1] – at first with LO v4.1.3.2 (correct), and then with LO-Dev v4.2.0.0.beta2 (messed up).

[1] https://wiki.documentfoundation.org/Documentation/Publications#LibreOffice_Draw_Guide (Full book 4.1.x branch)
Comment 35 deepjungle.maca 2013-12-12 06:18:17 UTC
Regression bug 72628 EDITING: Wrong font rendering of SVG graphics in the editor (PDF export is fine) from 4.1
Comment 36 V Stuart Foote 2013-12-12 19:15:50 UTC
Adding bug 72647 regression in UAA <-> Windows Java Accessibility API JAB bridge as potential Windows build release blocker--Accessibility regression
Comment 37 Arnaud Versini 2013-12-12 21:24:47 UTC
Adding  Startup is slow due to the new startcenter, not confirmed but really important
Comment 38 Cor Nouws 2013-12-17 12:46:07 UTC
add Bug 72788 - Clear direct formatting over more paragraphs freezes LibreOffice
Comment 39 Eike Rathke 2013-12-18 12:41:00 UTC
Adding bug 72778 - switching default locale leads to weird number format codes behavior.
Comment 40 Joel Madero 2013-12-20 15:19:49 UTC
Nominated bug 72776 - appears like we have a new chart feature coming through (circles of some kind) but it's quite broken. Doesn't work at all in 4.1, in 4.2 and 4.2 it's just broken and shows incorrect charts + missing data
Comment 41 Joel Madero 2013-12-21 18:27:06 UTC
nominated bug 72953 - chart legends aren't showing up on a file that they show up in 4.1, confirmed regression, very popular feature. This might even be a blocker to be honest but I left it as a critical
Comment 42 Jean-Baptiste Faure 2013-12-22 14:06:38 UTC
I nominate bug 72741 because it is a severe performance regression in sorting.

Best regards. JBF
Comment 43 Laurent BP 2013-12-23 18:20:19 UTC
Add bug 72632 : Formula (Math) inserted in Writer have wrong subscript position
It makes almost Math formula unusable in Writer
Comment 44 ape 2013-12-28 09:12:37 UTC
Adding:
 bug 73095 - Writer's UI crashes when scrolling pages if formatting marks are visible;
 bug 72961 - LibO-4.2 is crashed when you open ODFver.1.0\1.1 created by LibO-3.5\6
Comment 45 Jorendc 2013-12-29 13:36:57 UTC
Nominate: "Bug 73113 - LOOKUP function results in #N/A"
Comment 46 Cor Nouws 2013-12-30 19:34:27 UTC
adding Bug 73162 - FORMATTING: The Entry # dissapears from the Entry in the TOC when adding text separators
Comment 47 Arnaud Versini 2014-01-01 15:08:45 UTC
Adding correctly #72632 Formula (Math) inserted in Writer have wrong subscript position
It makes almost Math formula unusable in Writer
Comment 48 Laurent BP 2014-01-03 22:35:50 UTC
Add bug 73001 
Quick functions in status bar in Calc are wrong if multiple selection
Comment 49 Cor Nouws 2014-01-07 11:57:54 UTC
adding Bug 73355 - FILEOPEN: Draw 4.2 corrupts figures combined in previous version
Comment 50 Cor Nouws 2014-01-09 14:25:11 UTC
adding Bug 73436 - FILEOPEN Interaction on image (jump to slide #) lost on opening
Comment 51 Cor Nouws 2014-01-14 20:16:17 UTC
adding Bug 73614 - UI: when vertical scrolling a sheet with the scrollbar the screen is not refreshed from the first row that was not displayed

makes scrolling ungly and very user unfriendly
Comment 52 Dave Richards 2014-01-15 14:17:46 UTC
Nominating please 50855 (similar to 71783) which regressed somewhere between 4.1.4 and 4.2-beta2.  We have thousands of documents that are broken because Nimbus Sans font does not render correctly.  There is no reasonable work around and we literally will not be able to upgrade over this issue.
Comment 53 Jean-Baptiste Faure 2014-01-16 11:33:16 UTC
I nominate bug 73618 which make PresenterConsole unusable (Regression).
Comment 54 Björn Michaelsen 2014-01-17 09:37:21 UTC
Temporary removing dev-list for bulk change.
Comment 55 Björn Michaelsen 2014-01-17 09:43:59 UTC
Readding developer list after bulk change.
Comment 56 Alex Thurgood 2014-01-19 23:17:53 UTC
Nominating bug 73814 - PNG files in Writer badly distorted regression over 4.1.3.2
Comment 57 Mihkel Tõnnov 2014-01-24 11:59:23 UTC
I nominate bug 65138, the sidebar meta-bug. Since sidebar is on by default in 4.2, all the issues with it gain a lot more visibility, and we can't hide behind the excuse of it being experimental anymore.
A few bugs listed there are relatively innocent, while others can distort formatting (like bug 68806) or cause crashes (bug 67558, if it gets confirmed), meaning it gets really annoying pretty soon.
Comment 58 Eike Rathke 2014-01-24 15:19:32 UTC
Bug 73235 makes the Calc Function Wizard quite useless.
Comment 59 sophie 2014-01-24 15:56:40 UTC
added bug 74009  PRINTING: Long text flowing outside a Cell not printed
Comment 60 Jorendc 2014-01-24 22:00:07 UTC
Hereby I nominate 'Bug 74014 - Editing: Cell formula not updating on redo, even with a forced recalculation'
Comment 61 Laurent BP 2014-01-25 09:24:35 UTC
Add bug 72962
It was solved in 4.2.0 RC2 but reappeared in 4.2.0 RC3
Sum button in Calc gives #REF
Comment 62 Jean-Baptiste Faure 2014-01-25 10:39:28 UTC
I nominate bug 73565 which make dates filtering unusable in Calc 4.2.

Best regards. JBF
Comment 63 Björn Michaelsen 2014-01-26 15:15:36 UTC
Nominating 74077, trivial to reproduce data corruption, regression against 4.1 using default file format.
Comment 64 Cor Nouws 2014-01-26 15:29:47 UTC
add Bug 74041 - Calc crashes when inserting a column
Comment 65 Laurent BP 2014-01-26 15:34:17 UTC
Add bug 69244
Formula link to other sheet not updated in some case

Very difficult to detect such behavior for user.
Bug bibisected
Comment 66 retired 2014-01-26 21:40:40 UTC
Added bug 56847 

Working with videos in presentation is essential functionality and has been broken for a long time on OSX.
Comment 67 squeezechart 2014-01-27 08:29:39 UTC
#65070 please add this bug - page background graphic is not displayed
Comment 68 squeezechart 2014-01-27 08:31:42 UTC
#66581 - please add this bug - embedded objects are not imported from XLSX
Comment 69 squeezechart 2014-01-27 08:33:29 UTC
#73994 - please add this bug - ODS are about 12 times bigger than imported XLSX
Comment 70 Celt 2014-01-27 13:22:44 UTC
Bug 46933

Makes LibreOffice Writer unusable for scientific writing. References inside frames, for example figure captions, are broken.
Comment 71 Mihkel Tõnnov 2014-01-27 17:16:53 UTC
Nominating bug 73860 - all spaces lost during font conversation.
Comment 72 Dave Richards 2014-01-28 13:10:11 UTC
#73860 and #50855 seem possibly related : spacing between characters during font render.  Nimbus Sans and Helvetica are similar fonts.
Comment 73 squeezechart 2014-01-30 11:41:14 UTC
please add #65074
_____________________________________________________________________________

bug is not entirely fixed in LibreOffice 4.2
_____________________________________________________________________________

XLSX cells with 2 conditional formatting rules are not displayed correctly:

1. p.ex. cell values =$H$13:$H$427 have a color scale 
2. cell values equal or smaller than =MIN(H$13:H$428)*1,1 should be bold
   (Arial unicode, size 10)

In LibreOffice 4.2 the second rule is bold but wrong font and not changeable

Spreadsheet can be downloaded here:

http://www.squeezechart.com/SqueezeChart2013-preview.xlsx
_____________________________________________________________________________

Behavior before LibreOffice 4.2:
_____________________________________________________________________________

cells with with conditional formatting sometimes show the numbers not centered and without points; cell borders are not shown (see for example I13 to I21..)

Steps to reproduce:

Spreadsheet can be downloaded here:

http://www.squeezechart.com/SqueezeChart2013-preview.xlsx

screenshot from Excel:

http://www.squeezechart.com/spreadsheet-in-Excel-15.0.4420.png

screenshot from LibreOffice:

http://www.squeezechart.com/spreadsheet-in-LibreOffice-4.0.0.1.png


Current behavior:

cells with with conditional formatting sometimes show the numbers not centered and without points; cell borders are not shown

Expected behavior:

All cells in the main table must contain centered numbers with thousand points.              
Operating System: Windows 8
Version: 4.0.3.3 release
Comment 74 Dave Barton 2014-01-30 17:17:28 UTC
I nominate bug 63271 Clicking the "Apply" button should NOT close the hyperlink dialog.
Comment 75 tommy27 2014-02-01 12:59:55 UTC
added Bug 74318 - 'customize toolbar' broken
basic UI feature not working at all in 4.2.0.4 and causing crash in 4.3.0.o.alpha+
Comment 76 Joel Madero 2014-02-01 20:54:09 UTC
Nominated bug 74325 - spreadsheet is losing comments upon save - regression
Comment 77 ape 2014-02-02 06:41:45 UTC
added Bug 74350 - The program’s Frost if the option ‘Expert Configuration’ is used (Windows only).
Comment 78 ape 2014-02-02 11:13:45 UTC
Added bug 74356, bug 74357, bug 74359 - Content piece of the table’s large cell is lost (FILEOPEN; DOC, DOCX, RTF filter).
Comment 79 Kohei Yoshida 2014-02-03 19:44:48 UTC
Added Bug 72470.  It hits pretty much every CJK user out there.
Comment 80 Cor Nouws 2014-02-03 19:58:47 UTC
add Bug 74460 - Templatemanagement Dialog To Change/Edit Existing Template will crash LibreOffice
Comment 81 sophie 2014-02-05 10:59:05 UTC
Add bug 74556, Calc crashes when undo inserted comments
Comment 82 David Clayton 2014-02-05 16:44:14 UTC
Hi, adding bug#74573 (Paste Special skip empty cells broken)
Comment 83 Jean-Baptiste Faure 2014-02-05 19:14:42 UTC
I nominate bug 74333 : Textfield or Picture inside a chart is hidden
That is a regression
Comment 84 Björn Michaelsen 2014-02-06 00:27:56 UTC
Nominating 74553: regression vs. 4.1.4, dataloss
Comment 85 Eike Rathke 2014-02-06 15:54:28 UTC
Nominating bug 74615: Formula expressions are altered => data loss.
Comment 86 Eike Rathke 2014-02-06 15:55:44 UTC
Nominating bug 74616: Formula expressions are lost => data loss.
Comment 87 Laurent BP 2014-02-06 17:17:11 UTC
Add bug 74474 LibO freeze with Label Wizard
Comment 88 m.a.riosv 2014-02-08 23:18:50 UTC
Nominating https://bugs.freedesktop.org/show_bug.cgi?id=74479, SUMPRODUCT function treat empty cells as 1 when there are calculations or comparisons or functions as last parameter, and ranges with empty cells in others ranges.
Comment 89 sophie 2014-02-11 08:51:34 UTC
added bug 74824, crash while inserting cells
Comment 90 sophie 2014-02-11 15:27:09 UTC
Add bug 73544 update Catalan dictionaries and related resources; ca-ES and ca-ES-valencia locales
Comment 91 sophie 2014-02-14 17:58:31 UTC
Add bug 74994, extracting a sheet to copy or move it lose some contents. Sophie
Comment 92 Björn Michaelsen 2014-02-15 21:21:15 UTC
nominating 74979: seems to corrupt ~all sxc files on either load or safe, regression, 2 downstream dupes, one fdo dupe.
Comment 93 Kohei Yoshida 2014-02-15 21:35:21 UTC
(In reply to comment #92)
> nominating 74979: seems to corrupt ~all sxc files on either load or safe,
> regression, 2 downstream dupes, one fdo dupe.

sxc export has been removed on master, it's an ancient format superceded by .ods.  Is this really worth a MAB?  I think not.
Comment 94 Jorendc 2014-02-16 12:15:11 UTC
I nominate Bug 75032 - Other: crash when undo 'delete row above' with comments in rows below
Comment 95 xmlhttprequest.open 2014-02-16 23:59:57 UTC
I'm nominating bug 74595: Opening HTML files that have <!DOCTYPE ...>s that are not on the first line of the file cause LibreOffice to show the HTML source code.  To get the HTML contents to be displayed (instead of the source), I have to open the HTML file in a text editor and make sure <!DOCTYPE ...> is on the first line.  The average user, though, doesn't know how to work with HTML code, and won't know how to get the file to work.  So, I am nominating this for the LibreOffice 4.2 most annoying bugs list.  I'm not the only one that experienced this issue (http://nabble.documentfoundation.org/Importing-HTML-in-LO-4-2-td4095550.html).
Comment 96 Jean-Baptiste Faure 2014-02-19 05:36:28 UTC
Adding bug 71961, interoperability problem with many duplicates
Comment 97 Tom Colley 2014-02-20 02:26:54 UTC
I would endorse an enhancement regarding this bug. Although not severe, it has been coming up as an issue since Version 3.5.5.3. I suggest either:

a) enable custom dictionary as a Writing Aid during initial installation. The manual equivalent is: Go to Tools>Options>Language Settings>Writing Aids>User-defined dictionaries and enable User defined dictionary "standard [ALL]")

AND/OR

b) if the above dictionary isn't enabled, but a user opts to add a word to the custom dictionary during spell-checking/correcting procedures, then the user is prompted to give the application permission to enable this dictionary.

(In reply to comment #33)
> Adding Bug 60870: The custom dictionary is not initialized at startup
Comment 98 m.a.riosv 2014-02-20 04:10:42 UTC
Added
https://bugs.freedesktop.org/show_bug.cgi?id=75228

Ranges in COUNT() function are not well counted if there isn't a range as the last parameter of the function.
Comment 99 Ed Barnat 2014-02-20 14:34:45 UTC
Problem description: 

Steps to reproduce:
1. ....open a LibO (writer) document.  Copy and paste from within that LibO (writer) document to within that LibO document.
2. ....Open a web page or non-LibO document and copy web page text or url 
3. ....Past that text/url into the still open LibO (writer) document

Current behavior: The copied text from step 1 is pasted into the document

Expected behavior: The copied text from the web page/non-LibO document should be pasted into the document.


Current work around is to close all LibO documents, which clears the LibO clipboard. Re-open the LibO document and paste before doing any cut/copy from within LibO


Previously reported in Bug 62196 which does not appear in current known bug list.
      
Also see running issue in OpenOffice         
https://forum.openoffice.org/en/forum/viewtopic.php?f=7&t=60299 


Successfully submited now as bug 70200
Comment 100 tommy27 2014-02-20 15:00:17 UTC
@Ed Barnat
please do not discuss unrelated bugs here and do not change version field.
this is the list for MOST ANNOYING BUGS of the 4.2.x branch.
bugs about other branches have no place here.
Comment 101 tommy27 2014-02-22 07:02:29 UTC
I add Bug 75328 - Draw and Impress are slow to start on Windows platform

evident performance regression from 4.1.x (8 seconds to load instead of 1)
Linux and Mac testers welcome.
Comment 102 m.a.riosv 2014-02-24 13:10:30 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=74075 wrong results for MATCH and VLOOKUP functions, regression from 3.3.4
Comment 103 Joel Madero 2014-02-26 02:34:13 UTC
Nominated bug 74087 - when misspelled word is in a cell, right clicking in the cell goes into edit the cell vs. opening the context menu, offering word suggestions, etc . . .
Comment 104 Pierre C 2014-02-27 21:01:56 UTC
Can someone consider adding this bug to MAB 4.2
https://bugs.freedesktop.org/show_bug.cgi?id=75408

 Formula in writer is shrinked instead of keeping same size when changing border space in writer style

There is no workaround and i's a functionality loss
Comment 105 mike.hall 2014-03-01 17:50:13 UTC
Should not bug 51819 be added here - critical security issue? I can't see it being followed elsewhere, apologies if I am mistaken.
Comment 106 Vossman 2014-03-03 17:22:44 UTC
Bug 73548 - text cut-off when exporting .odp to .pdf (OSX only) 

I would like to nominate this annoying bug.
Comment 107 ape 2014-03-05 06:09:33 UTC
I added the bug 75718 ‘function does not work Edit> Fill> Series> AutoFill’, because the important ‘AutoFill’ function has stopped working in LibreOffice-4.2.x. This is a regression to LibreOffice-4.1.5.
Comment 108 Joel Madero 2014-03-07 01:36:10 UTC
Nominated bug 75510 - 4.2 regression where settings are not being read correctly for error bars in x/y charts. Appears like data loss to users but the data is saved, just not called on correctly
Comment 109 Joel Madero 2014-03-07 03:01:36 UTC
Nominated bug 75815 - formulas are changing for links to external sheets which could be a nightmare if working on complex sheets. This is a regression in 4.2
Comment 110 Joel Madero 2014-03-07 05:16:25 UTC
Nomintated bug 75741 - changing named ranges is causing crashes and the crashes can be silent (no crash but when you try to save it then crashes). It's fixed in 4.3 but I wanted to put it here so it's backported (hopefully)
Comment 111 Norbert X 2014-03-09 10:37:36 UTC
Add bug #64490: LibreOffice Writer text highligthing is not compatible with Microsoft Word DOC and DOCX (highlighting transforms to background color)

This bug has very long history and it is a great interoperability problem. Please fix it as soon as possible. It breaks normal document exchange with MS Word users and drop negative light on LOO in MSO users eyes.
Comment 112 m.a.riosv 2014-03-09 20:40:47 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=75951, cells references are changed without notice opening a xls file.
Comment 113 Kevin Suo 2014-03-15 00:53:19 UTC
Please consider bug 74876: Pivot tables from OOXML documents can not be used

It is really annoying and has a many duplicates.
Comment 114 Kevin Suo 2014-03-15 00:55:42 UTC
Sorry, it should be Bug 58691, not bug 74876.
Comment 115 Luuk 2014-03-15 08:49:16 UTC
Nominated 46635
Comment 116 Luuk 2014-03-15 08:50:17 UTC
(In reply to comment #115)
> Nominated 46635

https://bugs.freedesktop.org/show_bug.cgi?id=46635
Comment 117 Laurent BP 2014-03-21 20:54:37 UTC
Promote bug 76470 : Calc, insert/delete rows crashes
Regression from 4.2.2.1
Comment 118 Laurent BP 2014-03-26 09:02:38 UTC
Add bug 76607: Calc crash when sorting in specific case
Comment 119 m.a.riosv 2014-03-27 00:39:50 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=76663
PRODUCT function returns incorrect results in array formula
Comment 120 Kevin Suo 2014-03-28 07:52:54 UTC
Added bug 48350:
FILESAVE: missing <w:spacing w:after="0" w:before="0"/> in new document.docx

Without fixing, it's impossible to interoperate with MSO 2010 (when you send someone a docx file created from LibreOffice, what the others see is totally different in MSO.
Comment 121 Christian Lohmaier 2014-03-28 20:19:20 UTC
bug 76697 - frames with borders disabled have borders again on reload of document
Comment 122 Eike Rathke 2014-04-02 13:38:09 UTC
Adding bug 76949, FILESAVE: .xlsx new functions are saved without _xlfn. prefix and lead to #NAME? error when reloaded
Comment 123 mgmegag 2014-04-02 19:06:23 UTC
hello all,
i need to ask something. i have submitted a code to libreoffice as an
initial step to participate in gsoc. since then, i am receiving various
emails about other bugs. since i am new to GSOC, i dont know what should be
my next step. can you please tell me about that


On Wed, Apr 2, 2014 at 8:38 PM, <bugzilla-daemon@freedesktop.org> wrote:

> Bug 65675 <https://bugs.freedesktop.org/show_bug.cgi?id=65675> depends on bug
> 76949 <https://bugs.freedesktop.org/show_bug.cgi?id=76949>, which changed
> state.
>  What Removed Added  Status ASSIGNED RESOLVED  Resolution --- FIXED
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
> _______________________________________________
> LibreOffice mailing list
> LibreOffice@lists.freedesktop.org
> http://lists.freedesktop.org/mailman/listinfo/libreoffice
>
>
Comment 124 Laurent BP 2014-04-03 19:50:50 UTC
Add bug 77027 regression in 4.2.3 RC2 against 4.2.3 RC1
Math formula lost their Area settings
Comment 125 Laurent BP 2014-04-08 09:34:14 UTC
Add bug 77174 Crash in Writer with Stylist in sidebar
Comment 126 a07cd040897db54e103c 2014-04-11 11:56:20 UTC
Added #76324 (https://bugs.freedesktop.org/show_bug.cgi?id=76324)

Calc becomes daaaaaamn sloooooow and even crashes when comments are used intensively.
Comment 127 tommy27 2014-04-13 16:04:52 UTC
I add Bug 77308 - FILESAVE: .odt file written by LO 4.2.x won't open in older LO branches and AOO

this represent important .odt interoperability issue between LibO 4.2.x, other LibO versions and AOO as well.
Comment 128 Jorendc 2014-04-18 21:18:13 UTC
Hereby I nominate "Bug 77537 - FILESAVE: Character formatting is not preserved when file is saved, closed, and re-opened."

(Even) reproducible with .ods file format, and a regression vs 4.1-versions
Comment 129 Cor Nouws 2014-04-24 19:11:05 UTC
adding Bug 77899 - Can't launch Fax, Agenda or Letter wizard
(regression in 4.2.4.1)
Comment 130 Cor Nouws 2014-04-30 10:37:06 UTC
adding Bug 78108 - EDITING: Instability when pasting calc data that includes a formula into writer (As calc8 object)
Comment 131 Cor Nouws 2014-04-30 11:12:10 UTC
adding Bug 77806 - copy cells from calc and paste in writer makes libreoffice crash
Comment 132 Joel Madero 2014-05-01 04:23:36 UTC
Added bug 76710 - complete loss of conditional formatting if you delete a sheet. Simple steps to reproduce, reproduced on 4.2.2.3 and master built last week. Reporter says works fine in 4.1
Comment 133 Justin L 2014-05-01 08:07:26 UTC
moving bug 71248 from 4.1 MAB to 4.2 since 4.1 development is closed.   VBA macro "ActiveDocument" doesn't always apply to the document that the user is working in.
Comment 134 Andreas Mantke 2014-05-02 15:00:28 UTC
Nominating bug#72604 to the list. It's there since 4.1 or earlier and stays already in the master. The wizzard could not be used to create a fax since it was migrated to Python.
Comment 135 Jean-Baptiste Faure 2014-05-02 17:25:01 UTC
Moving bug 52433 (Memory leak when saving a doc text with many svm images) from MAB 4.1 to MAB 4.2 because LO 4.1 is reaching its End-Of-Life.

Best regards. JBF
Comment 136 pierre-yves samyn 2014-05-08 13:09:47 UTC
Moving bug 68891 (dataloss: "thisComponent.store" corrupts the macro library password) from MAB 4.1 to MAB 4.2 because LO 4.1 is reaching its End-Of-Life.

Regards
Pierre-Yves
Comment 137 pierre-yves samyn 2014-05-08 13:11:40 UTC
(In reply to comment #136)
> Moving bug 68891 (dataloss: "thisComponent.store" corrupts the macro library
> password) from MAB 4.1 to MAB 4.2 because LO 4.1 is reaching its End-Of-Life.

Sorry it is 68981
> 
> Regards
> Pierre-Yves
Comment 138 Joel Madero 2014-05-12 20:38:18 UTC
Symbols being imported incorrectly from docx files - this was reported in the past and then corrected, now it's broken again.
Comment 139 Joel Madero 2014-05-16 15:42:47 UTC
Added bug 78784 - 

Editing a simple draw object within writer and going to format->layer results in total crash. The bug has been around since the branch point (confirmed on 3.3.0.4) but none the less, nasty enough that I thought it belonged on the list.

Thanks!
Comment 140 Joel Madero 2014-05-17 02:15:05 UTC
Added 78801 - very recent regression, affects 4.2.4.2 release and 4.3 master

Copy + paste from website to writer results in no image being pasted. bibisected
Comment 141 a07cd040897db54e103c 2014-05-19 06:28:57 UTC
Adding bug 53023.

Autotexts get an unneccessary linebreak appended when created via "Autotext" > "New (Text only)".

See also:
bug 77482 (with screenshots)
bug 63740
bug 53023
https://issues.apache.org/ooo/show_bug.cgi?id=79861
https://issues.apache.org/ooo/show_bug.cgi?id=123748
Comment 142 Joel Madero 2014-05-19 21:22:30 UTC
Added bug 75694 - complete loss of comments for docx. Regression.

Bibisected
Comment 143 Joel Madero 2014-05-20 04:37:54 UTC
Added bug 78904 - regression

DOCX file opens fine but when you try to save it again as a docx it crashes LibreOffice. It's a pretty complex document (75+ pages) - I will tear it apart if asked to do so but a bibisect is available so maybe that's sufficient. I will ask OP to try to narrow down the document also.
Comment 144 Joel Madero 2014-05-20 04:57:52 UTC
added bug 78883  - regression, bibisected

Pretty simple document is unable to be opened at all in LibreOffice. Might be a minor release regression (from the bibisect it seemed likely).
Comment 145 Mihkel Tõnnov 2014-05-20 21:10:30 UTC
(In reply to comment #144)
> added bug 78883  - regression, bibisected

...except that you actually removed it, too :) Adding it back.
Comment 146 Francisco 2014-05-21 20:51:40 UTC
May I suggest bug 78369?
Comment 147 Laurent BP 2014-05-30 07:44:23 UTC
Add bug 79441: sorting broken with references to other sheet. Regression introduce in 4.2.5
Comment 148 brenbarn 2014-05-30 08:15:56 UTC
But 40780 ( https://bugs.freedesktop.org/show_bug.cgi?id=40780 ) makes sound useless on Linux, and has gone unfixed for years.
Comment 149 Kevin Suo 2014-05-30 14:49:01 UTC
Adding Bug 45286 - FILESAVE as .xlsx destroys link to
linked contents.
It's dataloss, old annoying bug, and is scaring away many advanced users such as me, an accountant.
Comment 150 Norbert X 2014-05-30 21:30:25 UTC
Nominate bug 40105 - "VIEWING: Switching of view layouts causes change of viewing position of document"
Comment 151 Yousuf Philips (jay) (retired) 2014-06-02 01:43:12 UTC
bug 73369
Application Error dialog appears after closing LibO Writer which has some relationship with the sidebar
Comment 152 Joel Madero 2014-06-04 04:05:33 UTC
Added bug 78477 - regression

It appears likes some fonts make it so that LibreOffice won't start up. Example font attached to the bug. Bibisected
Comment 153 Francisco 2014-06-06 14:26:25 UTC
Nominate bug 61805
Comment 154 Francisco 2014-06-06 14:34:51 UTC
Nominate also bug 73984, which is a similar yet different bug.
Comment 155 Yousuf Philips (jay) (retired) 2014-06-09 14:10:24 UTC
Regression - worked in 4.1
Editing a document which has a large image in it
Comment 156 Yousuf Philips (jay) (retired) 2014-06-09 14:13:31 UTC
Regression - worked in 4.1
Bug 78529: Editing a document which has a large image in it

Regression - worked in 3.3.0
Bug 77753: embedded fonts not loading correctly when file opened after LibO has already loaded
Comment 157 László Németh 2014-06-10 11:20:50 UTC
Bug 75137 (Can't Move Cursor Between Footnotes with Up/Down Arrow Keys. Need to Click with Mouse) is a very frustrating regression for heavy users of footnotes.
Comment 158 Nemo Inis 2014-06-10 23:08:08 UTC
Nominate Bug 74834 : Option to disable documents thumbnails on the New Start Screen
Comment 159 Marina Latini (CIB) 2014-06-12 12:16:27 UTC
Nominate bug 63483  (UI: FILESAVE with 'Open file read-only' not offered in Draw and Impress).

This is a missing feature for Draw and Impress already implemented in Writer and Calc. A user can't share a document with an edit password.
Comment 160 Kevin Suo 2014-06-13 06:41:28 UTC
Adding this old annoying bug:
Bug 39764 - UI: Function list category "Last Used" always inserts function from the top and duplicates existing list.
Comment 161 Yousuf Philips (jay) (retired) 2014-06-14 00:57:52 UTC
Regression - worked in 4.1.6
Bug 80009: Attached odt opens with a dialog with only an 'OK' button and when clicked, closes LibO
Comment 162 Yousuf Philips (jay) (retired) 2014-06-19 19:15:26 UTC
Regression - works in 4.1.6
Bug 80201: Saving the attached file to docx freezes LibO
Comment 163 Cor Nouws 2014-06-22 15:40:45 UTC
adding Bug 78554 - SVG: Text from SVG no longer displayed in LibreOffice
Comment 164 Yousuf Philips (jay) (retired) 2014-06-24 11:15:29 UTC
Bug 71625: Autosave repeated loop freezes UI if file isnt saved prior to autosave. I've closed 4 of these bugs in the last 2 weeks.
Comment 165 Kevin Suo 2014-06-24 14:16:34 UTC
Added Bug 80384 - Chart Legend name lost on saving.
Comment 166 Laurent BP 2014-06-24 18:50:44 UTC
Promote bug 80462
Crash on sorting single line. Regression between 4.2.4.2 and 4.2.5.0
Comment 167 Aibara 2014-06-24 20:05:28 UTC
I nominate bug 49514: search/find/replace has been broken for many releases when using footnotes in Writer.
Comment 168 V Stuart Foote 2014-06-24 21:14:49 UTC
(In reply to comment #167)
> I nominate bug 49514: search/find/replace has been broken for many releases
> when using footnotes in Writer.

No. Issue of bug 49514 does not even appear valid with current 4.3.0 or 4.4.0.0alpha+ and the directional search of the reworked find bar and its navigate button.

To be aMAB, the issue first needs to be confirmed and reworked with better STR and sample documents.
Comment 169 ign_christian 2014-07-03 17:32:23 UTC
Nominating Bug 80501 : undo after moving/dragging cell change formula 
Regression against 4.1.6.2, dataloss, no workaround
Comment 170 Yousuf Philips (jay) (retired) 2014-07-03 22:12:04 UTC
Regression - effects only 4.1 and 4.2
Bug 80813: Opening .ods crashes calc
Comment 171 David 2014-07-04 20:15:47 UTC
Bug 67379 is a regression from 4.0 and is really getting to be quite annoying.
Comment 172 Alex 2014-07-05 16:38:38 UTC
I suggest this bug https://bugs.freedesktop.org/show_bug.cgi?id=80363: spellchecker works wrong if there are Cyrillic symbols in the path to Libre folder, appeared in 4.2.5.2

It makes LiO (especially Writer) unusable for many non-English users as they don't get why their documents are totally underlined as misspelled while others don't have this problem. The problem also migrated to 4.3.X.X
Comment 173 Cor Nouws 2014-07-05 23:29:05 UTC
adding Bug 79332 - self-contained pivot table, dataloss after after save and reopen
Comment 174 Cor Nouws 2014-07-06 08:02:33 UTC
adding Bug 79305 - FILESAVE: relative file hyperlinks saved as absolute
Comment 175 Cor Nouws 2014-07-06 20:11:51 UTC
Is it realised that issue 67712 (bibisected) effectively makes use of form controls and drawing objects impossible in LibreOffice >= 4.1 ?
Is setting 'Importance' appropriate to reflect that?
Comment 176 Joel Madero 2014-07-08 07:18:51 UTC
Added bug 76595 - regression

Deleting an image from a docx file and then saving as a native odt results in the file reappearing after closing the file and reopening it. Test file and bibisect on bug
Comment 177 ign_christian 2014-07-09 13:19:35 UTC
Nominating Bug 80846 : regression, affects some users

Working in 4.1.6.2 and 4.2.4.2, 
but not working in 4.2.0.0.beta1, 4.2.5.2, 4.3.0.2
Comment 178 Marina Latini (CIB) 2014-07-10 11:49:50 UTC
Added bug 63024 (FILESAVE FILEOPEN Writer does not preserve position of images in its own RTF files) 

LibreOffice can't handle rtf files with images.
Comment 179 Yousuf Philips (jay) (retired) 2014-07-11 08:06:23 UTC
Regression - worked in 4.1
Bug 81214: All endnote text is gone after a missing formula
Comment 180 Joel Madero 2014-07-12 05:32:17 UTC
Added bug 81008 - regression

Serious data loss in a simple docx file. Bibisected with clear/easy reproducible steps.
Comment 181 Alex Thurgood 2014-07-14 11:11:34 UTC
Nominating 81336 - IS NULL SQL query no longer executes, returns "STATEMENT TOO COMPLEX" error message - regresion
Comment 182 tommy27 2014-07-16 05:18:13 UTC
I add Bug 81384 - FILEOPEN: Cells are missing importing RTF file
regression between 4.2.3 and 4.2.4 releases
Comment 183 Alex Thurgood 2014-07-16 08:17:57 UTC
Adding bug 81416 - file corruption when writing to external storage - regression over 4.2.3.3 and 4.1.6.2
Comment 184 Luke 2014-07-16 19:23:51 UTC
Added bug 75380 - FORMATTING: Can't Create a Border Around a Chart - it results in a loss of basic Calc functionality and is a broken feature that worked in 4.1
Comment 185 Joel Madero 2014-07-16 19:34:46 UTC
Added bug 81294 -

A basic spreadsheet with formulas referencing another sheet. Inserting a sheet screws up the formulas.
Comment 186 ign_christian 2014-07-18 10:34:10 UTC
Nominating Bug 80849 : image as link not preserved after filesave while auto-save activated

Regression against 4.3.0.0.beta1 and 4.2.4.2
Comment 187 Kevin Suo 2014-07-18 15:59:24 UTC
Moved Bug 63756 to MAB4.2, as MAB4.0 was closed already.
David Tardon reopened that bug and assigned to himself :-)
Comment 188 David H. Gutteridge 2014-07-19 20:21:54 UTC
Nominating bug 75467, it results in meta-data (file modification date/time and file size) loss for users on older versions of MacOS X, effectively rendering LO unusable for anyone who needs to track modification dates.
Comment 189 Kevin Suo 2014-07-21 11:45:46 UTC
Added bug 81396, charts do not show correctly in XLSX when open with libreoffice. Affects all chart types.
Comment 190 Alex 2014-07-21 22:25:23 UTC
I suggest this bug https://bugs.freedesktop.org/show_bug.cgi?id=78206
When insert symbols (like U+0301, U+0300, U+0340, U+0341), which apply to the previous symbol, insertion process doesn't work properly. Seems like it uses wrong font.

It slows down the work so much (as you have to use "workaround"), that often it's easier to work in notepad and then copy\paste certain text into Writer. This is not normal work.

I found it in 4.2.3 but maybe the bug is also in earlier versions.
Comment 191 mchan223 2014-07-22 01:28:39 UTC
Add bug #76565: cannot paste anything into the new inline input fields, defeating much of their functionality
Comment 192 mchan223 2014-07-22 22:53:35 UTC
Re bug #76565

One obvious use for the input field is for serial or identification numbers that must be printed on several different forms or several times in one page, information that is often provided from another electronic source and which is extremely prone to human error if manually retyped instead of copied.

The current implementation breaks the ability to paste this kind of information into a template that was designed around the old method.

The entire interface is currently designed to make the user think that whatever they need to do to edit an input field should be done by clicking and then inserting the information and not by using a non-obvious keyboard shortcut (Ctrl-F9) or going into the variables menu in a manner that defeats the entire purpose of an "input" field.

We're talking about a difference of maybe 1-3 seconds for the old implementation versus 10-20 seconds for each field that requires pasted data. When you're dealing with dozens of these fields in an office full of distractions and urgent interruptions (the kind where you must open up a new document and work on something else, meaning you lose your place in what you were doing before) this adds up to significant loss of productivity.
Comment 193 Rik Shaw 2014-07-23 15:57:26 UTC
Nominating bug 81357: Setting default language to "None" doesn't stick, but reverts to "English USA".  This is very inconvenient for me (and others I expect) that work in multiple minority languages.  I set "None" as the default so I can keep "check spelling as I type" enabled, but it won't pop the "red squiggles" until I define the langauge of the document.
Comment 194 ltlrd 2014-07-27 10:31:00 UTC
Bug 73650 : no more slideshow, a serious regression on windows 8.1
Comment 195 a07cd040897db54e103c 2014-07-31 08:11:58 UTC
Added 76389:
AutoFilter not hilighted after loading a file with AutoFilter set.
Comment 196 a07cd040897db54e103c 2014-07-31 08:12:44 UTC
Added 77479:
AutoFilter lost after sorting
Comment 197 Luke 2014-07-31 14:36:15 UTC
Added Bug 71961. It's export analog mab was fixed, but the import still remains broken.
Comment 198 Luke 2014-07-31 14:37:49 UTC
Added Bug 71961. It's export analog mab was fixed, but the import still remains broken.
Comment 199 Luke 2014-07-31 14:41:32 UTC
Correction. Added Bug 67347, the import analog of Bug 71961.
Comment 200 Klaus Langguth 2014-08-01 08:56:51 UTC
LO does not save the pdf files in the path of which the file was opend.
If we use windows dialogs, LO saves/esports the pdf files somewhere but NOT in the original path from which the file was opened.
Same situation when opening a file within a network with the ms file manager.
While the saving of the file meanwhile works, the pdf export / save as does not use the same path.
Windows 7 pro 32 bit, windows network.
Please change it! We are donater of LO an OO since long time, and we are really very very annoyed by this bug!
Thanke you for your fast change.
Comment 201 Klaus Langguth 2014-08-01 08:57:35 UTC
LO does not save the pdf files in the path of which the file was opend.
If we use windows dialogs, LO saves/esports the pdf files somewhere but NOT in the original path from which the file was opened.
Same situation when opening a file within a network with the ms file manager.
While the saving of the file meanwhile works, the pdf export / save as does not use the same path.
Windows 7 pro 32 bit, windows network.
Please change it! We are donater of LO an OO since long time, and we are really very very annoyed by this bug!
Thanke you for your fast change.
Comment 202 Kevin Suo 2014-08-01 09:21:29 UTC
Hi Klaus Langguth,

You broke our MAB list!

This is a meta bug which tracks the most annoying bugs. Please do not change the fields of this one.

To report a bug, you should file a saparate bug report. If the bug you filed should belong to this MAB list, QA members will do it.

Thanks!
Comment 203 putt1ck 2014-08-03 06:58:26 UTC
Nominating https://bugs.freedesktop.org/show_bug.cgi?id=53228 (graphical elements created in earlier Calc versions don't have their position honoured in later versions). Nominating because in some use cases this causes catastrophic data loss; this is effective data loss with risk of total.
Comment 204 Adam Niedling 2014-08-06 13:54:16 UTC
Would it be possible not to move unfixed bugs from MAB lists? People like me are trying to find a stable version of LO to install on office computers. But if MAB lists are cleared then there is no way of knowing how stable each version is. If stableness can be measured by the number of MAB bugs that is.

Since the MAB4.1 has been cleared so just how stable 4.1 is? 4.2 is supposed to be stable (still?) but just look at the number of MAB Bugs.

At least please don't clear this list until 4.2 reaches its EOL.
Comment 205 Adam Niedling 2014-08-06 13:59:13 UTC
"At least please don't clear this list until 4.2 reaches its EOL."

What I meant to say is that please don't clear this list until 4.3 becomes stable (or still).
Comment 206 sophie 2014-08-06 14:06:13 UTC
(In reply to comment #204)
> Would it be possible not to move unfixed bugs from MAB lists? People like me
> are trying to find a stable version of LO to install on office computers.
> But if MAB lists are cleared then there is no way of knowing how stable each
> version is. If stableness can be measured by the number of MAB bugs that is.
> 
> Since the MAB4.1 has been cleared so just how stable 4.1 is? 4.2 is supposed
> to be stable (still?) but just look at the number of MAB Bugs.
> 
> At least please don't clear this list until 4.2 reaches its EOL.

Please, don't discuss this on the MAB list. MAB is a tool for QA and developers, if you want your own list, you can build it by yourself using named tag in Bugzilla, see at the very bottom this page. 
Sophie
Comment 207 Jean-Baptiste Faure 2014-08-08 06:50:47 UTC
I nominate bug 81592: regression affecting scientific publications.
Comment 208 James 2014-08-10 21:37:02 UTC
My lap top has Windows Vista Home Premium installed (English language). Having used Libre Office for about 9 months (a 4.1 version?)for no apparent reason an error message appears "The system cannot find the file specified," when I try to access any file. I have tried upgrading with no improvement and my restore points don't go back far enough. Would be grateful for some help.
Comment 209 V Stuart Foote 2014-08-10 22:07:05 UTC
(In reply to comment #208)
> My lap top has Windows Vista Home Premium installed (English language).
> Having used Libre Office for about 9 months (a 4.1 version?)for no apparent
> reason an error message appears "The system cannot find the file specified,"
> when I try to access any file. I have tried upgrading with no improvement
> and my restore points don't go back far enough. Would be grateful for some
> help.

@James

Not clear what your issue might be, but this issue is a tracking bug for established major bugs with all facets of the 4.2 release of LibreOffice.

Please use the Bug Submission Assistant to formulate and submit your issue, found here:  https://www.libreoffice.org/get-help/bug/
Comment 210 David 2014-08-20 14:01:35 UTC
Adding bug 67379. Cursor positioning in a document where frames are used has been broken for a very long time and is very annoying.
Comment 211 V Stuart Foote 2014-08-20 14:25:19 UTC
(In reply to comment #210)
> Adding bug 67379. Cursor positioning in a document where frames are used has
> been broken for a very long time and is very annoying.

would concur with nomination -- adding issue to MAB
Comment 212 Yousuf Philips (jay) (retired) 2014-08-21 07:09:42 UTC
Adding bug 79269. ODF file isnt being saved with the footer option of having different footers on the first and other pages, resulting in dataloss.
Comment 213 ign_christian 2014-08-24 02:43:14 UTC
Nominate Bug 82042 : crash after undo moving any column/row in sheet which contain formula range

Regression against 4.1.6.2
Comment 214 retired 2014-08-25 09:58:17 UTC
Nominate 79546

do I have to add it, or will the nomination committee do that for me?
Comment 215 V Stuart Foote 2014-08-25 12:53:52 UTC
adding bug 79546 - OSX - no video playback in slideshow fullscreen display mode on OSX 10.9
Comment 216 m.a.riosv 2014-08-30 14:13:57 UTC
Added https://bugs.freedesktop.org/show_bug.cgi?id=83217, with cut&past between different sheets, dependant formulas are modified but without includes the new sheet to the reference.
Comment 217 Luke 2014-09-10 06:56:37 UTC
Nominated bug 75209 since it represents a major loss of functionality in impress 4.2+, only noticeable when viewing sideshow.
Comment 218 Joel Madero 2014-09-30 20:21:37 UTC
Added bug 68604 - data loss for comments with .docx
Comment 219 Matthew Francis 2014-10-01 11:26:14 UTC
Adding bug 84352 - Code signing broken by OSX 10.9.5

This is going to affect an ever increasing number of Mac users upon each new install / upgrade of LibreOffice
Comment 220 Joel Madero 2014-10-01 15:16:38 UTC
Added bug 84556 - regression + loss of data + bibisected
Savings a relatively straight forward spreadsheet as xls causes loss of data screwing up formulas
Comment 221 Timur 2014-10-03 08:48:07 UTC
Added Bug 70223 "Chart not exported to PDF"
Comment 222 Timur 2014-10-03 14:06:58 UTC
Added Bug 60762 - PRINTING: Images do not print or export to PDF
Comment 223 Kevin Suo 2014-10-27 03:25:03 UTC
Added Bug 79395, grid lines are messed up in Calc, regression, affects simple editing work, bibisected.
Comment 224 stragu 2014-10-27 05:07:09 UTC
Hi Kevin

I just removed Bug 79395 as the 4.2 branch will not have any bugfix release anymore. I see it is reproducible in the 4.3 branch, so please nominate it as a 4.3 MAB on Bug 75025.

Cheers! :)
Comment 225 tommy27 2014-10-27 06:17:44 UTC
(In reply to chtfn from comment #224)
> Hi Kevin
> 
> I just removed Bug 79395 as the 4.2 branch will not have any bugfix release
> anymore. 

not correct, the 4.2.x branch will have a new 4.2.7 update (the last) in a few days. then the official END-OF-LIFE is expected by 19 2014
see: https://wiki.documentfoundation.org/ReleasePlan#4.2_release

I see it is reproducible in the 4.3 branch, so please nominate it
> as a 4.3 MAB on Bug 75025.
> 
> Cheers! :)

please do not mess things removing/adding MABs without knowing the exact procedures.

that bug which is reproducible in 4.2.x has to stay in the mab4.2 list (I'm gonna put it back there) and will moved to the mab4.3 list only after the official EOL of the 4.2.x branch

the mab4.2 to mab4.3 migration will be done by QA people by that time.
Comment 226 stragu 2014-10-27 06:33:42 UTC
(In reply to tommy27 from comment #225)

Hi Tommy. Thank you for checking.

> not correct, the 4.2.x branch will have a new 4.2.7 update (the last) in a
> few days. then the official END-OF-LIFE is expected by 19 2014
> see: https://wiki.documentfoundation.org/ReleasePlan#4.2_release

I assumed 4.2.7 was out already as (1) I already got a 4.2.7 update on Ubuntu a few days ago and (2) the release plan states that 4.2.7 should have been out by the 26th of October (yesterday).
So I am sorry if in fact 4.2.7 is not officially out yet, I just had two good reasons to believe it was.

> please do not mess things removing/adding MABs without knowing the exact
> procedures.
> 
> that bug which is reproducible in 4.2.x has to stay in the mab4.2 list (I'm
> gonna put it back there) and will moved to the mab4.3 list only after the
> official EOL of the 4.2.x branch
> 
> the mab4.2 to mab4.3 migration will be done by QA people by that time.

I am aware of the the "exact procedures". I have participated in MAB transfers before. In the wiki, the following is written:

"If there are no further releases of a LibreOffice version (or “branch”; e.g., 3.5.x), we close the MAB tracking bug for that version, and move all remaining MAB listed for that version to the MAB tracking bug for the next version – you do not need to do that yourself."

I assumed 4.2.7 was out, therefore I knew there was no further release for the 4.2 branch. I then asked Kevin to nominate that bug in 4.3 MAB as this is what should be done according to the wiki (no use of adding a MAB if no extra bugfix version is planned). This not me starting a "migration", even though I think we should get cracking on that before the 4.2 EOL as MABs hanging out here after 4.2.7 will have no visibility at all (and, once again, it is what is recommended on the wiki).

Thank you.
Comment 227 tommy27 2014-10-27 07:00:19 UTC
sorry for sounding rude in the previous post.
the 4.2.7 is not officially out yet but besides this I ask everybody here to hold on migrating mab4.2 to the mab4.3 list.

It's better to wait a few weekes for the exact 4.2.x EOL to be sure that no critical issue pops out in the meantime and that no extra release will be necessary.
Comment 228 stragu 2014-10-27 07:20:49 UTC
(In reply to tommy27 from comment #227)
> sorry for sounding rude in the previous post.
> the 4.2.7 is not officially out yet but besides this I ask everybody here to
> hold on migrating mab4.2 to the mab4.3 list.
> 
> It's better to wait a few weekes for the exact 4.2.x EOL to be sure that no
> critical issue pops out in the meantime and that no extra release will be
> necessary.

No worries. Sure, that actually makes a lot of sense. It should be worded that way on the wiki to make it clear for everybody then, I am sure most QA people agree on that.

Thanks
Comment 229 tommy27 2014-10-30 12:37:58 UTC
LibO 4.2.7 has been finally released today.

as said before the END OF LIFE of the 4.2.x branch is set on november 19th.
please do not start any mab4.2 to mab4.3 migration until then.

anyway feel free to retest the current mab4.2 which are still open [1] against the 4.3.x branch (4.3.3 released today) or against 4.4.x master, and post a new comment in the report page of that specific bug telling your findings (still reproducible, not reproducible, changed, etc. etc.)

I'll personally move all residual 4.2mabs into the 4.3mab list after november 19th, so again do not start any migration until then.


[1] https://bugs.freedesktop.org/showdependencytree.cgi?id=65675&hide_resolved=1
Comment 230 Cor Nouws 2014-11-01 11:35:20 UTC
adding Bug 77592 - FILEOPEN: LibO 4.2.x incorrectly changes row height 
 - various issues related/ look the same,
 - at least one duplicate, 
 - bibisected, 
 - clear example to reproduce
Comment 231 Joey Reid 2014-11-06 07:53:35 UTC
Adding Bug 85614 and Bug 85584. A feature was back ported to the stable 4.2.7 release. This new, incompatible sort breaks many peoples spreadsheets.(See Bug 81633 and its many dupes) The necessary fixes were not back ported, so sorting with 4.2.7 or 4.3.2 can result in data loss.
Comment 232 deligeo 2014-11-06 12:29:16 UTC
I nominate bug:
https://www.libreoffice.org/bugzilla/show_bug.cgi?id=42346
Cross reference handling broken when exporting to doc / docx
Same bug still exists in 4.3 ( https://www.libreoffice.org/bugzilla/show_bug.cgi?id=84637 )
Comment 233 Cor Nouws 2014-11-11 22:55:00 UTC
I suggest to add this Bug 76239 - "OpenSymbol font is not retained after an upgrade",  that surfaces gradually
Comment 234 David 2014-11-17 00:11:53 UTC
Nominate bug 81806 - Document crashes when editing tables. Causes data loss for any unsaved data. Bugs 81923 and 79569 may be related.
Comment 235 tommy27 2014-11-19 03:49:03 UTC
The LibO 4.2.x branch reached today it's end of life (EOL) and will be no longer supported.

This meta-bug is going to be closed, so please do not add any new bug here.

If you find a bug which qualifies as a most annoying bug (MAB) according to these criterias ( https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs) and is still reproducible in current LibO 4.3.x branch, please add it to the mab4.3 list (Bug 75025).

All the unfixed existing mab4.2 will be now reviewed and if still reproducible, moved to that list as well.

For the record here's the full list of the residual 4.2.x MABs at the time I'm writing:

Bug 34467: FORMATTING Fit to Frame for text boxes is broken  
Bug 34957: ODT containing multi-page table with table setting "Keep with next paragraph" is pushed to next page  
Bug 36799: If you insert an envelope into a document only the envelope is printed (Mac OS X)  
Bug 37223: Target for paste cells from column in Calc into TABLE will be single cell instead of column  
Bug 37315: cropped pictures in .docx file are mangled and in wrong place  
Bug 40780: Impress Custom Animation Sound Effect not audible in Slide Show  
Bug 40907: FILEOPEN: concurrent access to AFP shared files impossible - total lock on file  
Bug 41169: All hotkeys are language dependent, don't work in non-Latin keyboard layout.  
Bug 42346: FILESAVE: Cross-references to numbered items (object, graphic, table) turn to plain text on export to .doc or .docx  
Bug 44621: EDITING: Drag and drop images into Writer opens Draw (OS X >= 10.7)  
Bug 44725: VIEWING: Heading - Footer - Pagebreak lines appear somewhere in the page  
Bug 46447: Embedded Pictures disappear from Presentation (ODP) [Summary: comment#58, comment#67. Temporary advise: comment#69]  
Bug 47148: image caching / management is utterly shambolic  
Bug 67583: FILEOPEN: File not opening (win only)  
Bug 67624: FILESAVE: Writer hangs after saving a big document  
Bug 73270: FILESAVE: images lost after saving to new file name and immediately exporting to PDF  
Bug 48409: FILEOPEN LibO 3.3 documents shows Writer OLE object contents shifted right / down in object after edit of object because of page border issue  
Bug 49102: Writer: Incorrect numbering when cells are merged in the table  
Bug 49853: EDITING: Attempting paste into find bar with Edit:Paste (or Cmd-V on OS X) pastes into document  
Bug 50057: EDITING: Replication of frames when record changes (redlining) is on  
Bug 50430: FILEOPEN: Can't Open .uop file  
Bug 53228: [Task]: FILEOPEN .ods / .ots spreadsheet from former LibO version or OOo shows graphic elements at wrong position  
Bug 53473: Embedded HSQLDB calls flush (CHECKPOINT) too often  
Bug 54398: FILESAVE: DOC files created in LO lose drawings (anchored as character probably - and grouped?) after field update in MS Word 2007  
Bug 54933: EDITING Report builder: mouse-move control: gap between mouse position  
Bug 55018: FILESAVE and FILEOPEN: Joined cells in table cause table distortion after save to doc and docx and reopen in LO  
Bug 56394: FILEOPEN - FILESAVE: very slow opening of .xlsx and freeze when saving  
Bug 57215: Wrong text rotation in SVG Export (rotated text appears as non-rotated)  
Bug 58691: PIVOTTABLE: export to Excel 2007/2010 breaks functionality  
Bug 59613: RTL VIEWING: Increasing size of dialogs to right or bottom causes artifacts  
Bug 59886: FILESAVE as .docx: Date (fixed), Time (fixed) fields become static field name text  
Bug 59918: FILESAVE: FILEOPEN: save document as docx and reopen result in an freeze/endless loop  
Bug 60268: FORMATTING: Square root and cdot are not correct displayed under Windows 8  
Bug 60533: Brackets (..),{..},[..] inverted )..(,}..{,]..[ when switch to RTL text direction with all fonts (Affect : calc, impress, draw).  
Bug 60589: [Template manager]: Can not copy styles between different files and templates  
Bug 62073: editing/formatting: pasting formatted font messes up formatting of bullets  
Bug 63483: UI: FILESAVE with 'Open file read-only' not offered in Draw and Impress  
Bug 64490: LibO Writer text highligthing not compatible with MS Word DOC and DOCX (highlighting transforms to background color)  
Bug 64945: inconvenient localized symbol code  
Bug 66209: inserting/deleting rows: data integrity problem when sum of the charts of the opened documents exceeds the Options->Memory->Number of objects  
Bug 66232: FILEOPEN: cannot open .odt files by clicking on a hyperlink in IE  
Bug 67347: FILEOPEN: MS .pptx Textbox size imported wrong size  
Bug 67379: Problems changing focus to inside frame  
Bug 67534: FILEOPEN SMB File claimed to be "Locked By Unknown User" when opened via double-click in Explorer if LO Explorer Shell Extensions are installed  
Bug 67712: form controls and draw objects anchored to cell but changes position after reopening  
Bug 68604: FILESAVE: part of the comment text is lost in .docx using "save" toolbar button or "save" menu item  
Bug 68806: SIDEBAR: Wrong Paragraph spacing values after activating the Properties pane  
Bug 69495: FORMATTING: Toggling off bold/italic does not turn it off, but instead applies no-bold/no-italic. This messes up any style afterwards that has bold/italic in it (until Clear Direct Formatting is used).  
Bug 69593: FILEOPEN: PPTX import with shapes causes text to disappear  
Bug 70223: Chart not exported to PDF  
Bug 70809: [EDITING] Selecting with mouse: too fast changing to next/previous page  
Bug 71278: UI mouse pointer disappears during presentation and does not come back after exiting presentation  
Bug 71409: Excessive duplicate accessible focused events for Calc input line [a11y]  
Bug 72072: text not rendered fully (cut off) when editing 90deg rotated rectangle  
Bug 72075: EDITING: undo leads to duplication for operations that involve of drag-and-drop (Slide pane, text areas)  
Bug 72504: EDITING: Unable to edit .odb file with non-local URL  
Bug 72604: Fax-Wizard - Personal Data are only partial adopted  
Bug 72628: Different font substitutes used for view in Writer vs. export for PDF  
Bug 72776: FILEOPEN writer doesn't show the chart numbers nor parts of this docx file  
Bug 73805: EDITING: Layout Loop when writing into a section with 3 columns  
Bug 73998: EDITING: Calc crash copying text in Input Bar from 4.2.0.3 and pasting to 4.1, also pasting from 4.2.5.dev to 4.3.0.0.alpha1+  
Bug 74124: Pictures in Writer look ugly on the screen  
Bug 74934: 'Install' button in update dialog is never activated  
Bug 75137: Can't Move Cursor Between Footnotes with Up/Down Arrow Keys. Need to Click with Mouse  
Bug 75209: FILEOPEN: Impress pictures not displayed in slideshow  
Bug 75467: OS X integration: selecting a file in Open File dialog adds resource fork, changes size and mod date  
Bug 75694: FILESAVE: Comments lost on export to .docx  
Bug 76239: OpenSymbol font is not retained after an upgrade  
Bug 76324: CALC becomes very slow with 5000+ comments  
Bug 76389: Calc: Used AutoFilter not highlighted when set in Calc and saved as XLS  
Bug 76595: FILESAVE: After deleting an image in a loaded file, it reappears in saved odf.  
Bug 76995: MAILMERGE: Wrong record Number in Mailing  
Bug 77479: Calc: State of AutoFilter lost after sorting  
Bug 77592: FILEOPEN: LibO 4.2.x incorrectly changes row height  
Bug 78370: RTF File Imported Incorrectly - Pages Being Merged (Overlapping)  
Bug 79332: self-contained pivot table, dataloss after after save and reopen  
Bug 79395: Grid lines messed up when editing certain spreadsheet file  
Bug 79538: PRINTING: Images move when printing/creating PDF  
Bug 79546: OSX - no video playback in slideshow fullscreen display mode on OSX 10.9  
Bug 79569: CRASH after undoing multi-line cell merge  
Bug 81056: docx export of ducks beaks MS Import ...  
Bug 81396: XLSX IMPORT: Data plots in chart not visible when cells have formula, needs Ctrl+Shift+F9 (Steps in Comment 5)  
Bug 81416: FILESAVE - writing to external storage corrupts ODF file  
Bug 81806: EDITING: Document corruption and crash when editing tables  
Bug 84556: FILEOPEN: formula error reading an xls file
Comment 236 tommy27 2015-10-18 02:45:27 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab4.2 STATS
......................

fixed bugs -> 186
open bugs  -> 0

......................